mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Security.Policy.IIdentityPermissionFactory System.Runtime.InteropServices.ComVisible(true)

The presence of evidence produces a in the grant set. If there is a for , the that corresponds to the evidence will be compared with the demanded permission.

Publisher evidence is based on Authenticode X.509v3 signatures.

By default, code access security (CAS) does not check for evidence. Unless your computer has a custom code group based on the class, you can improve performance by bypassing Authenticode signature verification. This is accomplished by configuring the runtime to not provide evidence for CAS. For more information about how to configure this option and which applications can use it, see the <generatePublisherEvidence> element.

Provides the Authenticode X.509v3 digital signature of a code assembly as evidence for policy evaluation. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the Authenticode X.509v3 certificate containing the publisher's public key.

  An that contains the software publisher's public key.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate To be added: an object of type 'Security.Cryptography.X509Certificates.X509Certificate' To be added

  Gets the publisher's Authenticode X.509v3 certificate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Creates an equivalent copy of the .

  A new, identical copy of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` To be added

  Creates an identity permission that corresponds to the current instance of the class.

  A for the specified .

  The from which to construct the identity permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  objects are equal if they designate the same software publisher certificate.

  Compares the current to the specified object for equivalence.

  true if the two instances of the class are equal; otherwise, false.

  The to test for equivalence with the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code of the current .

  The hash code of the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string representation of the current .

  A representation of the current .